Submit an agent prompt
curl --request POST \
--url https://api.akua.dev/v1/agent_prompts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "<string>",
"message": {
"id": "<string>",
"role": "user",
"parts": [
{
"type": "text",
"text": "<string>"
}
]
}
}
'import requests
url = "https://api.akua.dev/v1/agent_prompts"
payload = {
"session_id": "<string>",
"message": {
"id": "<string>",
"role": "user",
"parts": [
{
"type": "text",
"text": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_id: '<string>',
message: {id: '<string>', role: 'user', parts: [{type: 'text', text: '<string>'}]}
})
};
fetch('https://api.akua.dev/v1/agent_prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "accepted",
"session_id": "<string>",
"turn_id": "<string>",
"message_id": "<string>",
"stream_id": "<string>",
"generation": 4503599627370496
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Agent commands
Submit an agent prompt
Acknowledges only confirmed Session acceptance. Retry the identical message ID and parts to recover the original acceptance; a stream disconnect is not Stop.
POST
/
agent_prompts
Submit an agent prompt
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Required string length:
1 - 54Body
application/json
Response
AgentPromptAcknowledgement
Available options:
accepted Pattern:
^(?:ags_)?[a-zA-Z0-9]{1,50}$Pattern:
^(?:atn_)?[a-zA-Z0-9]{1,50}$Required string length:
1 - 200Required string length:
1 - 200Required range:
1 <= x <= 9007199254740991⌘I